using OnlineSalesAutoCrop.CoreAPI.Models.Responses.Setups;
using System.Threading.Tasks;

namespace OnlineSalesAutoCrop.CoreAPI.Services.Contracts.Setups
{
	public interface IAuthModulesService
	{
		Task<bool> UpdateAuthStatusAsync(string moduleId, string ipAddress, string remarks, short status, int userId, string loginId, string ids);

		Task<PendingAuthResponse> GetPendingAuthsAsync(int userId);
		Task<AuthDetailsResponse> GetAuthDetailsAsync(string moduleId, short status);
		Task<AuthSummariesResponse> GetAuthSummariesAsync(int userId, short status, int entryModule);
	}
}
